#
# dream_lab_main.bsl
#

var int my_save_point=0;
var int rmusic_counter=2;
var int tanker_counter=2;
var int red_counter=1;
var int swat_counter=1;
var int end1_counter=3;
var int bighead_counter=4;
var int wake_counter =3;

func void main(void)
{
	sound_ambient_start roomtone_softhum03 0.8

	gl_fog_blue=0
	gl_fog_red=0
	gl_fog_green=0
	gl_fog_start=.995
	gs_farclipplane_set 2000
	start

	if (my_save_point eq 0)
	{
		intro
	}
}

func void jester_spawned (void)
{
	chr_unkillable mini_strike_1 1 
	trigvolume_enable ambush1a 0
	
	chr_wait_health mini_strike_1 360
	chr_animate mini_strike_1 NINCOMteleport_out
	chr_set_class 1 jester
	chr_animate evilkonoko NINCOMteleport_out
	sleep 10
	chr_wait_health mini_strike_1 150
	chr_animate mini_strike_1 NINCOMteleport_out
	chr_set_class 1 jester_giant
	chr_animate evilkonoko NINCOMteleport_out

	chr_unkillable mini_strike_1 0 
}

func void enable (void)
{
	trigvolume_enable ambush1a 1
}

func void trick (void)
{	
	sound_dialog_play jessie_taunts
	chr_set_class 1 jessie
	chr_set_class 2 jester_minion
}

func void end (void)
{	
	chr_unkillable evilkonoko 1
	
	chr_wait_health evilkonoko 1
	chr_animate evilkonoko NINCOMteleport_out	
	chr_set_class 1 konoko_muk
	chr_animate evilkonoko NINCOMteleport_out
	chr_set_health evilkonoko 200
	sleep 800
	sound_dialog_play c11_40_03superninja
	chr_animate evilkonoko NINCOMteleport_out	
	chr_set_class 1 super_ninja_1
	chr_animate evilkonoko NINCOMteleport_out
	chr_unkillable evilkonoko 0	
	
	sleep 600
	ai2_spawn evil1
	chr_animate evil1 NINCOMteleport_out
	sound_dialog_play c17_99_24superninja
	sleep 20
	ai2_spawn evil2
	chr_animate evil2 NINCOMteleport_out
	sound_dialog_play c17_99_24superninja
	sleep 400 
	ai2_spawn mom
	chr_animate mom COMCOMlev13_death
	sleep 20
	ai2_spawn dad
	chr_animate dad COMCOMlev13_death
}

func void wake_1a_var(string ai_name)
{
	dprint wake_var
	wake_counter = wake_counter - 1
	if (wake_counter eq 0)
		{
		wake();
		}
}

func void wake_1b_var(string ai_name)
{
	dprint wake_var
	wake_counter = wake_counter - 1
	if (wake_counter eq 0)
		{
		wake();
		}
}

func void wake_1c_var(string ai_name)
{
	dprint wake_var
	wake_counter = wake_counter - 1
	if (wake_counter eq 0)
		{
		wake();
		}
}

func void wake(string ai_name)
{
	dprint wake
	sleep 300
	ai2_takecontrol 1
	sleep 30
	ai2_comehere mom
	sleep 30
	ai2_comehere dad
	sleep 30
	ai2_lookatme dad
	ai2_lookatme mom
	sleep 30
	ai2_lookatchar 0 dad
	sleep 30
	ai2_lookatchar 0 mom
	sleep 200
	you_win
}